Gatana logoGatana Docs
RoutesToolsSearch

/tools/search

Search the cached tools of every MCP server the caller has access to, page by page, including the disabled ones. Returns a list of tools paginated.

GET
/tools/search
AuthorizationBearer <token>

In: header

Query Parameters

serverId?string
serverSlug?string
search?string
page?string
limit?string

Response Body

application/json

curl -X GET "https://YOUR_ORG_ID.gatana.ai/api/v1/tools/search"
{
  "pagination": {
    "page": 0,
    "limit": 0,
    "total": 0,
    "totalPages": 0,
    "hasNext": true,
    "hasPrev": true
  },
  "data": [
    {
      "toolName": "string",
      "toolNameOverride": "string",
      "description": "string",
      "descriptionOverride": "string",
      "serverSlug": "string",
      "isEnabled": true
    }
  ]
}